Get a project (ADMIN/OWNER also see apiKey/apiSecret)
Session principals with role ADMIN/OWNER get the full detail (including apiKey/apiSecret); VIEWER/EDITOR get the safe shape. A project-level API key principal (its own key, not a scoped key) can read only its own project. Does not use requireApiScope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string
Responses
Section titled “Responses”Project
Media typeapplication/json
object
project
object
id
string
name
string
slug
string
description
string | null
domain
string | null
isActive
boolean
createdAt
string
updatedAt
string
_count
object
members
integer
apiKey
string | null
apiSecret
string | null
currentUserRole
string
Missing projectId
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Not authorized
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Project not found / no access
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}